package net.heartshield.sensors;

import android.view.TextureView;

/**
 * Makes MeasurementController testable by plugging in a different sensor interface provider.
 *
 * @author David Madl (git@abanbytes.eu)
 * @date 2017-04-12
 */
public interface ISensorFactory {
    ISensor getAccelerationSensor();
    IntensityDetector getIntensityDetector(TextureView cameraPreview);
    IAudioSensor getAudioSensor();
}
